# BuildPass API - [Introduction](https://developer.buildpass.global/introduction.md): BuildPass API Documentation - [Changelog](https://developer.buildpass.global/changelog.md): Latest changes and improvements to the BuildPass API - [Authentication](https://developer.buildpass.global/features/authentication.md): To interact with the BuildPass API, you need to authenticate using OAuth 2.0. - [OAuth 2.0 Authorization Code Flow](https://developer.buildpass.global/features/oauth-authorization-code.md): Secure user authorization with PKCE for integrator applications - [Filtering](https://developer.buildpass.global/features/filtering.md): The BuildPass API allows you to filter results using query parameters in your GET requests. - [Pagination](https://developer.buildpass.global/features/pagination.md): The BuildPass API supports pagination to help you manage large sets of data. - [Versioning](https://developer.buildpass.global/features/versioning.md): The BuildPass API supports versioning to ensure that your integration remains stable even as the API evolves. - [Rate limiting](https://developer.buildpass.global/features/rate-limiting.md): The BuildPass API uses rate limiting protection. - [Multi-region](https://developer.buildpass.global/features/multi-region.md): Route your API requests to our Australia or United States data centres - [Authentication token](https://developer.buildpass.global/api-reference/authentication/post.md): Generate an OAuth token to access the BuildPass API - [List builders](https://developer.buildpass.global/api-reference/builders/list.md): Get all builders that you are authorised to access - [Get builder](https://developer.buildpass.global/api-reference/builders/get.md): Get a builder that you are authorised to access - [List projects](https://developer.buildpass.global/api-reference/builders/projects/list.md): Get all projects for a builder - [Get project](https://developer.buildpass.global/api-reference/builders/projects/get.md): Get a project for a builder - [List site access (limited pilot)](https://developer.buildpass.global/api-reference/builders/projects/site-access/list.md): Worker-project access feed for explicitly approved access-control integrations. - [Record gate attendance (limited pilot)](https://developer.buildpass.global/api-reference/builders/projects/site-access/events.md): Report provider sign-on and sign-off events with durable retry identity. - [List meetings](https://developer.buildpass.global/api-reference/builders/meetings/list.md): List meetings for a builder - [Create meeting](https://developer.buildpass.global/api-reference/builders/meetings/create.md): Create a draft meeting for a builder - [Update meeting](https://developer.buildpass.global/api-reference/builders/meetings/update.md): Update a meeting - [Delete meeting](https://developer.buildpass.global/api-reference/builders/meetings/delete.md): Delete a meeting that this integrator created. The meeting is removed from BuildPass and no longer returned by the API. Meetings created in BuildPass or by another integrator cannot be deleted. - [Start meeting](https://developer.buildpass.global/api-reference/builders/meetings/start.md): Start a meeting - [End meeting](https://developer.buildpass.global/api-reference/builders/meetings/end.md): End a meeting - [List meeting notes](https://developer.buildpass.global/api-reference/builders/meetings/notes/list.md): List notes for a meeting - [Create or update meeting note](https://developer.buildpass.global/api-reference/builders/meetings/notes/post.md): Create or update a meeting note using your authenticated integration and externalSourceId - [List defects](https://developer.buildpass.global/api-reference/builders/defects/list.md): List defects for a builder. Archived defects are excluded by default. Results are paginated with a default and maximum limit of 25. - [Get defect](https://developer.buildpass.global/api-reference/builders/defects/get.md): Get one defect for a builder. - [Create an attachment upload URL](https://developer.buildpass.global/api-reference/builders/attachments/presign.md): Create a short-lived, builder-scoped S3 PUT URL for an image up to 40 MiB. Upload the bytes directly with the declared Content-Type, then use the returned attachment reference when creating or bulk-upserting photos. - [Upload attachment](https://developer.buildpass.global/api-reference/builders/attachments/upload.md): Upload one attachment file and receive an attachment reference for a later resource create request. Include type=attachment so BuildPass can route the file to the correct storage family. For example, use the returned reference to create a photo. - [Bulk upload attachments](https://developer.buildpass.global/api-reference/builders/attachments/bulk-upload.md): Upload multiple attachment files and receive attachment references for a later resource create or upsert request. Include type=attachment, or per-file type:N=attachment fields, so BuildPass can route each file to the correct storage family. For example, use the returned references to bulk upsert pho… - [List photos](https://developer.buildpass.global/api-reference/builders/photos/list.md): List photos for a builder. The source defaults to GALLERY and can be repeated to include photos shown in other BuildPass UI areas. Returns signed image URLs. Results are paginated with a default and maximum limit of 25. - [Create photo](https://developer.buildpass.global/api-reference/builders/photos/create.md): Create a gallery photo from an uploaded imageAttachment reference, or an approved HTTPS image URL. - [Get photo](https://developer.buildpass.global/api-reference/builders/photos/get.md): Get a photo by id. The source defaults to GALLERY; specify the owning source to read a photo from another supported BuildPass UI area. - [Update photo](https://developer.buildpass.global/api-reference/builders/photos/update.md) - [Delete photo](https://developer.buildpass.global/api-reference/builders/photos/delete.md) - [List photo folders](https://developer.buildpass.global/api-reference/builders/photo-folders/list.md) - [Create photo folder](https://developer.buildpass.global/api-reference/builders/photo-folders/create.md) - [Get photo folder](https://developer.buildpass.global/api-reference/builders/photo-folders/get.md) - [Update photo folder](https://developer.buildpass.global/api-reference/builders/photo-folders/update.md) - [Delete photo folder](https://developer.buildpass.global/api-reference/builders/photo-folders/delete.md) - [Bulk upsert photos](https://developer.buildpass.global/api-reference/builders/photo-gallery/bulk-upsert.md): Adds multiple photos to BuildPass for a photo report or project gallery folder. Returns a result for each photo and attachment IDs for successfully saved photos. Existing photos are reused to avoid duplicates. - [Sync a photo report](https://developer.buildpass.global/api-reference/builders/photo-reports/sync.md): Creates or updates a photo report in BuildPass, including its title, text, photos and optional project. Use this endpoint to keep reports from your application in sync with BuildPass. - [List subcontractors](https://developer.buildpass.global/api-reference/subcontractors/list.md): Get active subcontractors under a builder. By default, this returns third-party subcontractors only. - [Get subcontractor](https://developer.buildpass.global/api-reference/subcontractors/get.md): Get an active subcontractor. Builder-company records require includeBuilderCompany=true. - [List subcontractor projects](https://developer.buildpass.global/api-reference/subcontractors/projects/list.md): Get all projects assigned to a subcontractor - [List subcontractor contacts](https://developer.buildpass.global/api-reference/subcontractors/contacts/list.md): Get all contacts for a subcontractor - [List insurance documents](https://developer.buildpass.global/api-reference/subcontractors/insurances/list.md): Get all insurances for a subcontractor - [Get insurance document](https://developer.buildpass.global/api-reference/subcontractors/insurances/get.md): Get a document for a subcontractor - [List prequalifications](https://developer.buildpass.global/api-reference/subcontractors/prequalifications/list.md): Get all prequalifications for a subcontractor - [Get prequalification](https://developer.buildpass.global/api-reference/subcontractors/prequalifications/get.md): Get a prequalification for a subcontractor - [List SWMS documents](https://developer.buildpass.global/api-reference/subcontractors/swms/list.md): Get all SWMS documents for a third-party or builder-company subcontractor. Retrieve the builder-company subcontractor id from GET /subcontractors?includeBuilderCompany=true. - [Get SWMS document](https://developer.buildpass.global/api-reference/subcontractors/swms/get.md): Get a SWMS document for a third-party or builder-company subcontractor. - [List inductions for subcontractor](https://developer.buildpass.global/api-reference/subcontractors/inductions/list.md): Get all inductions for workers associated with a subcontractor - [List inductions for project](https://developer.buildpass.global/api-reference/builders/projects/inductions/list.md): Get all inductions for a project - [Get induction](https://developer.buildpass.global/api-reference/builders/projects/inductions/get.md): Get an induction by identifier (numeric) or ID (ind_ prefix) - [List timesheets](https://developer.buildpass.global/api-reference/timesheets/list.md): Get all timesheets for a builder - [Get timesheet](https://developer.buildpass.global/api-reference/timesheets/get.md): Get a timesheet by ID - [Get time types](https://developer.buildpass.global/api-reference/timesheets/timeTypes.md): Get a list of time types configured for a builder - [Get cost codes](https://developer.buildpass.global/api-reference/timesheets/costCodes.md): Get a list of cost codes configured for a builder ## OpenAPI Specs - [openapi](/api-reference/openapi.json) This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.